Mantener la última versión instalada y evitar el retroceso

By 6 de agosto de 2006 Gentoo, Linux No Comments

gentoo_topic_mirror.pngEn gentoo forums explican que no es recomendado usar emerge -U para mantener la última versión instalada y evitar el retroceso, para ello usamos una solución bastante sencilla, por ejemplo: si quereis que al instalar un paquete mantenga siempre la última versión pues solo teneis que meter la siguiente linea, cambiando "xchat" que usaremos en este ejemplo por el paquete que desees.ejemplo:
echo "net-irc/xchat ~x86" >> /etc/portage/package.keywords

si el paquete que qeremos fijar es el de una determinata versión deberemos ponerle un "=" delante.

Después de esto se podrá hacer un:

# emerge -uD world

Sin temor a que pueda haber uns respueste de dependencias o "Masked"

Yuanx/Solusan

Leave a Reply

Your email address will not be published.